Subject: Re: [PATCH 00/11] mlx5 support for VFIO self test

From: Jason Gunthorpe <[email-masked]>
Date: Sat, 2 May 2026 10:40:24 -0300

On Fri, May 01, 2026 at 10:31:49PM -0600, Alex Williamson wrote:
> On Thu, Apr 30, 2026, at 6:08 PM, Jason Gunthorpe wrote:
> > Add an mlx5 driver to VFIO self test. This is largely a remix of the
> > existing VFIO mlx5 driver in rdma-core. It uses an RDMA loopback QP
> > to issue RDMA WRITE operations which effectively perform memory
> > copies using DMA. Since mlx5 has a stable programming ABI this
> > should work on devices from CX5 to current HW. The device FW must
> > support the QP loopback configuration.
> 
> Does the PCI ID table in the series need some pruning then?  It
> includes CX4.  

Maybe.. I don't actually know that it doesn't work on CX4 and before,
I only was able to test as far back as CX5. I'm thinking to leave it
and if someone does try it and it doesn't work then remove it.

Jason